Loading...
Searching...
No Matches
LinearCompression Class Reference
Inheritance diagram for LinearCompression:
Collaboration diagram for LinearCompression:

## Public Member Functions

void | pack (char *packedbytesout, word *wordsin, USHORT nwordsin)
void | unpack (word *wordsout, char *packedbytesin, USHORT nbytesin)
USHORT | bytes2words (USHORT nbytes)
USHORT | words2bytes (USHORT nwords)

## Member Function Documentation

## bytes2words()

USHORT LinearCompression::bytes2words | ( | USHORT | nbytes | ) |

inline virtual

Implements Compression.

## pack()

void LinearCompression::pack | ( | char * | packedbytesout,
|  | word * | wordsin,
|  | USHORT | nwordsin )

virtual

Implements Compression.

## unpack()

void LinearCompression::unpack | ( | word * | wordsout,
|  | char * | packedbytesin,
|  | USHORT | nbytesin )

virtual

Implements Compression.

## words2bytes()

USHORT LinearCompression::words2bytes | ( | USHORT | nwords | ) |

inline virtual

Implements Compression.